# class Generators::HTMLPuppetResource

### Attributes

context[R]

### Public Class Methods

new(context, html_class, options) click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 830
    def initialize(context, html_class, options)
      @context    = context
      @html_class = html_class
      @options    = options
      @@seq       = @@seq.succ
      @seq        = @@seq

      context.viewer = self

      AllReferences.add(name, self)
    end

### Public Instance Methods

<=>(other) click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 890
    def <=>(other)
      @context <=> other.context
    end

aref() click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 874
    def aref
      @seq
    end

as_href(from_path) click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 842
    def as_href(from_path)
      if @options.all_one_file
        "##{path}"
      else
        HTMLGenerator.gen_url(from_path, path)
      end
    end

description() click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 886
    def description
      markup(@context.comment)
    end

document_self() click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 894
    def document_self
      @context.document_self
    end

find_symbol(symbol, method=nil) click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 898
    def find_symbol(symbol, method=nil)
      res = @context.parent.find_symbol(symbol, method)
      res &&= res.viewer
    end

index_name() click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 858
    def index_name
      "#{@context.name}"
    end

name() click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 850
    def name
      @context.name
    end

params() click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 862
    def params
      @context.params
    end

parent_name() click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 866
    def parent_name
      if @context.parent.parent
        @context.parent.parent.full_name
      else
        nil
      end
    end

path() click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 878
    def path
      if @options.all_one_file
        aref
      else
        @html_class.path + "##{aref}"
      end
    end

section() click to toggle source

    # File lib/puppet/util/rdoc/generators/puppet_generator.rb, line 854
    def section
      @context.section
    end